发新帖

Linux原生仙剑奇侠传游戏sdlpal

user0001 / 2020-7-5 08:11
浏览: 2305 / 回复: 13
查看: 2305|回复: 13

Linux原生仙剑奇侠传游戏sdlpal

[复制链接]
收藏
跳转到指定楼层
本帖最后由 user0001 于 2020-7-5 14:18 编辑

sdlpal是仙剑奇侠传的开源实现,支持Linux/macOS/freebsd/Android/iOS/Windows/XBox/PlayStation等。

这个可比大家用wine要流畅不是一点点!

打包脚本:
sdlpal-linux-pkg-script.tar (780 KB, 下载次数: 19)
截屏2020-07-05 上午7.53.04.jpg
截屏2020-07-05 上午7.52.48.png
1.jpg

评分

参与人数 2贡献 +6 收起 理由
nowave + 3 加分鼓励 : )
appj + 3 虽然很老的游戏,加分鼓励 : )

查看全部评分

7

主题

237

帖子

1321

积分

-rw-r--r--

Rank: 4

积分
1321
lzhjqc 发表于 2020-7-5 08:55:34 | 显示全部楼层
要能双击安装还能玩的游戏才是好游戏

97

主题

2444

帖子

7352

积分

drw-r--r--

Rank: 7Rank: 7Rank: 7

积分
7352
shenmo 超级版主 发表于 2020-7-5 09:01:39 来自移动端 | 显示全部楼层
建议打包

29

主题

344

帖子

1772

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
1772
user0001 发表于 2020-7-5 09:07:12 | 显示全部楼层

嗯。我给打个deb和appimage包吧。

29

主题

344

帖子

1772

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
1772
user0001 发表于 2020-7-5 10:36:04 | 显示全部楼层
这不是一个“老游戏”,这个sdlpal一直在非常活跃的开发,是很多竞赛和作业中(例如写一个操作系统兼容POSIX)常用的一项测试硬件或者操作系统API的软件。
最近的代码更新在今年。

34

主题

376

帖子

3255

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
3255
gtjmaster 发表于 2020-7-5 14:00:03 | 显示全部楼层
你这是将游戏和sdlpal一起打包了吧。用的游戏本体应该是98柔情版,因为有过场动画。
还有,github上已经提供了编译好的sdlpal文件,为什么还要自己编译呢?
APPimage打包有教程吗?我也想学一下,想打包一些老软件。

29

主题

344

帖子

1772

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
1772
user0001 发表于 2020-7-5 14:13:15 | 显示全部楼层
gtjmaster 发表于 2020-7-5 14:00
你这是将游戏和sdlpal一起打包了吧。用的游戏本体应该是98柔情版,因为有过场动画。
还有,github上已经提 ...

你要我的脚本吗?

29

主题

344

帖子

1772

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
1772
user0001 发表于 2020-7-5 14:16:05 | 显示全部楼层
gtjmaster 发表于 2020-7-5 14:00
你这是将游戏和sdlpal一起打包了吧。用的游戏本体应该是98柔情版,因为有过场动画。
还有,github上已经提 ...



打包脚本
sdlpal-linux-pkg-script.tar (780 KB, 下载次数: 8)

34

主题

376

帖子

3255

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
3255
gtjmaster 发表于 2020-7-5 14:26:23 | 显示全部楼层

您是从哪学习的appimage打包?我在国内找不到相关的教程。

34

主题

376

帖子

3255

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
3255
gtjmaster 发表于 2020-7-5 14:28:01 | 显示全部楼层
我记得github提供的编译好的sdlpal,需要一个依赖“libfltk”。难道通过编译的话就可以避免这些吗?

29

主题

344

帖子

1772

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
1772
user0001 发表于 2020-7-5 14:51:41 | 显示全部楼层
本帖最后由 user0001 于 2020-7-5 14:54 编辑
gtjmaster 发表于 2020-7-5 14:28
我记得github提供的编译好的sdlpal,需要一个依赖“libfltk”。难道通过编译的话就可以避免这些吗?
...

难道自己不能编译?只需要花大概20秒钟就编译完了。不需要额外依赖。
打包的教材在appimage的官网有啊。英文的,写的还可以吧。
https://docs.appimage.org/index.html

3

主题

88

帖子

489

积分

-r--r--r--

Rank: 3Rank: 3

积分
489
zj185690007 发表于 2020-7-5 17:25:26 | 显示全部楼层
https://www.linuxgame.cn/%e4%bb% ... %e4%be%a0%e4%bc%a01
这个是Linux游戏站的,我有个别人打包的deb包。

链接: https://pan.baidu.com/s/1___CER75J2ZQ5bnL2Me4qA 提取码: hv9j 复制这段内容后打开百度网盘手机App,操作更方便哦

sudo apt install libfltk1.3
这个依赖不知道需不需要装。
deepin V20

10

主题

120

帖子

755

积分

-r--r--r--

Rank: 3Rank: 3

积分
755
feixiang_fox 发表于 2020-7-5 21:02:56 | 显示全部楼层
zj185690007 发表于 2020-7-5 17:25
https://www.linuxgame.cn/%e4%bb%99%e5%89%91%e5%a5%87%e4%be%a0%e4%bc%a01
这个是Linux游戏站的,我有个 ...

试过了,deepin15.11可以直接安装了玩,不用安装依赖。
只有两点不好:1、画质太差,毕竟20多年前的游戏素材;2、没有地图,容易迷路

34

主题

376

帖子

3255

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
3255
gtjmaster 发表于 2020-7-6 01:22:05 来自移动端 | 显示全部楼层
feixiang_fox 发表于 2020-7-5 21:02
试过了,deepin15.11可以直接安装了玩,不用安装依赖。
只有两点不好:1、画质太差,毕竟20多年前的游戏 ...

不用装依赖,是因为我已经把的要求写进去了,安装的时候会自动安装的。
不过这还是不完美,个人认为楼主的APPimage应该才是王道,毕竟是游戏,大一点的话就不适合放在opt里了。
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部